; ================================================================================================
; 24-Kanal-PWM mit Mini-DMX-Empfang fr SEDU-Board V2.0
; ================================================================================================

; ================================================================================================
; Timer0-ISR fr PWM und Zeitbasis
; ------------------------------------------------------------------------------------------------

_Timer0OVF:

		push	temp0
		in		temp0, SREG					; Statusregister sichern

		rcall	_sw_pwm						; SW-PWM

		tst		Timebase					; Timer auf Null?
		breq	_Timer0OVF_Ende				; Ja, nicht weiter runterzhlen

		tst		PWM_Count					; PWM-Zhler auf 0?
		brne	_Timer0OVF_Ende				; nein, Ende

		dec		Timebase					; ja Zeitbasis runterzhlen
		brne	_Timer0OVF_Ende				; noch nicht 0, Ende

		clr		mDMX_State					; Timeout, Receiver Reset
		cbi		S_LED_Port, S_LED			; und Status-LED an

_Timer0OVF_Ende:

		out		SREG, temp0					; Statusregister wiederherstellen
		pop		temp0
		reti								; und zurck

; ================================================================================================
